# class Sass::SemiGlobalEnvironment

An environment that can write to in-scope global variables, but doesn't create new variables in the global scope. Useful for top-level control directives.

### Public Instance Methods

try_set_var(name, value) click to toggle source

    # File lib/sass/environment.rb, line 224
    def try_set_var(name, value)
      @vars ||= {}
      if @vars.include?(name)
        @vars[name] = value
        true
      elsif @parent
        @parent.try_set_var(name, value)
      else
        false
      end
    end